<html>
	<head>
		<title>Projet Groupe 36</title>
		<link rel="stylesheet" href="style.css" >
	</head>
	<body>
		<h1 style="text-align: center;">Projet individuel de Yvan<br></h1>
		<a href="index.html">Retourner a la page principale<br></a>
		

		<U><h2 style="text-align: center;">Manipulation de Fenêtre<br></h2></U>

		<center><img src="../Yvan/screenXfenetre.png" alt="Animation faite par Yvan" width="700" 
		height="500"  /></center>
		<p></p>
		<!-- <a href="animationYvan">Testez-le vous-même<br></a> -->
		<p></p>
		<U><h2 style="text-align: center;">Manipulation de forme<br></h2></U>

		<center><img src="../Yvan/rendu.gif" alt="Animation faite par Yvan" width="700" 
		height="500"  /></center>
		<p></p>
		<a href="animationYvan">Testez-le vous-même<br></a>
		<U><h3>Un peu de code:<br></h3></U>
		<pre><code class="language-c">
	typedef struct sommet sommet;
	struct sommet{
		int x, y;
		struct sommet *fils;
	};


	void drawNextLine(SDL_Renderer* renderer, struct sommet* sommet, int mx, int my){
		SDL_SetRenderDrawColor(renderer, 255, 0, 0, 255);
		SDL_RenderDrawLine(renderer, sommet->x, sommet->y, mx, my);
	}


	struct sommet* update(struct sommet *racine, int mx, int my){
		int k = 0;
		struct sommet *cour = racine;
		while(cour->fils!=NULL){
			k++;
			cour = cour->fils;
		}
		cour->fils = (struct sommet*) malloc(sizeof(struct sommet*));
		cour = cour->fils;
		cour->x = mx;
		cour->y = my;
		printf("Nombre de sommets: %d\n",k);
		return cour;
		
	}
		</code></pre>
		<p></p>
		<U><h2 style="text-align: center;">Manipulation de Sprite<br></h2></U>

		<center><img src="../Yvan/gif/spriteYvan.gif" alt="Animation faite par Yvan" width="700" 
		height="500"  /></center>
		<p></p>
		<a href="../Yvan/spriteYvan">Testez-le vous-même<br></a>
		<U><h3>Un peu de code:<br></h3></U>
		<pre><code class="language-c">
	typedef struct objet objet;
	struct objet{
		SDL_Texture **textureListe;	// Liste des textures du programme
		int *textID;			// Tableau des indices des texture de l'objet
		int nSprite;			// Nombre d'image de l'animation
		int spriteState;		// Indice actuel de l'animation
		int critere;			// Critere de probabilite
		int x, y, w, h;			// Position et dimension de l'objet
		int speed, angle;		// Vitesse et angle de rotation (en degré) de l'image
	};
	
	
	void play_texture(struct objet *objet, SDL_Window *window, SDL_Renderer *renderer){
		SDL_Rect destination = {objet->x, objet->y, objet->w, objet->h};
		SDL_RenderCopyEx(renderer, objet->textureListe[objet->textID[objet->spriteState]], NULL, &destination, objet->angle, NULL, SDL_FLIP_NONE);
		
		int random = rand()%100;
		if(random<objet->critere) objet->spriteState = objet->spriteState+1;	// En fonction du critere de probabilite, on avance dans les textures de l'objet
		if(objet->spriteState == objet->nSprite) objet->spriteState = 0;
	}
		</code></pre>
		<a href="index.html">Retourner a la page principale<br></a>
	</body>
</html>
